using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.System
{
    /// <summary>
    /// 消息推送类型
    /// </summary>
    public enum PushMessageCategoryEnum
    {
        /// <summary>
        /// 老师备案评论
        /// </summary>
        [EnumField("老师备案评论")]
        LessonComment = 1,

        /// <summary>
        /// 值班信息
        /// </summary>
        [EnumField("值班信息")]
        UserDuty =2,

        /// <summary>
        /// 资产审核
        /// </summary>
        [EnumField("资产审核")]
        Property = 3,

        /// <summary>
        /// 请购单审核
        /// </summary>
        [EnumField("请购单审核")]
        BuyingRequisition = 4,

        /// <summary>
        /// 请购单采购
        /// </summary>
        [EnumField("请购单采购")]
        PurchaseRequisition = 5,

        /// <summary>
        /// 财务单据审核
        /// </summary>
        [EnumField("财务单据审核")]
        Finance = 6,

        /// <summary>
        /// 试听课
        /// </summary>
        [EnumField("试听课")]
        ReserveClass = 7,
    }
}
